# Class GeometricObjectType

Object
CodeList<GeometricObjectType>
GeometricObjectType

All Implemented Interfaces:
  `Serializable, Comparable<GeometricObjectType>`

@UML(identifier="MD_GeometricObjectTypeCode", specification=ISO_19115) public final class GeometricObjectType extends CodeList<GeometricObjectType>
Name of point and vector spatial objects used to locate zero-, one-, and twodimensional spatial locations in the dataset.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GeometricObjectType`
  `COMPLEX`
  Set of geometric primitives such that their boundaries can be represented as a union of other primitives.
  `static final GeometricObjectType`
  `COMPOSITE`
  Connected set of curves, solids or surfaces.
  `static final GeometricObjectType`
  `CURVE`
  Bounded, 1-dimensional geometric primitive, representing the continuous image of a line.
  `static final GeometricObjectType`
  `POINT`
  Zero-dimensional geometric primitive, representing a position but not having an extent.
  `static final GeometricObjectType`
  `SOLID`
  Bounded, connected 3-dimensional geometric primitive, representing the continuous image of a region of space.
  `static final GeometricObjectType`
  `SURFACE`
  Bounded, connected 2-dimensional geometric, representing the continuous image of a region of a plane.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeometricObjectType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static GeometricObjectType`
  `valueOf(String code)`
  Returns the geometric object type that matches the given string, or returns a new one if none match it.
  `static GeometricObjectType[]`
  `values()`
  Returns the list of `GeometricObjectType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### COMPLEX

    @UML(identifier="complex", obligation=CONDITIONAL, specification=ISO_19115) public static final GeometricObjectType COMPLEX
    Set of geometric primitives such that their boundaries can be represented as a union of other primitives.
    Since:
      2.1

  - ### COMPOSITE

    @UML(identifier="composite", obligation=CONDITIONAL, specification=ISO_19115) public static final GeometricObjectType COMPOSITE
    Connected set of curves, solids or surfaces.
    Since:
      2.1

  - ### CURVE

    @UML(identifier="curve", obligation=CONDITIONAL, specification=ISO_19115) public static final GeometricObjectType CURVE
    Bounded, 1-dimensional geometric primitive, representing the continuous image of a line.

  - ### POINT

    @UML(identifier="point", obligation=CONDITIONAL, specification=ISO_19115) public static final GeometricObjectType POINT
    Zero-dimensional geometric primitive, representing a position but not having an extent.

  - ### SOLID

    @UML(identifier="solid", obligation=CONDITIONAL, specification=ISO_19115) public static final GeometricObjectType SOLID
    Bounded, connected 3-dimensional geometric primitive, representing the continuous image of a region of space.

  - ### SURFACE

    @UML(identifier="surface", obligation=CONDITIONAL, specification=ISO_19115) public static final GeometricObjectType SURFACE
    Bounded, connected 2-dimensional geometric, representing the continuous image of a region of a plane.

- ## Method Details

  - ### values

    public static GeometricObjectType[] values()
    Returns the list of `GeometricObjectType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public GeometricObjectType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<GeometricObjectType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static GeometricObjectType valueOf(String code)
    Returns the geometric object type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.